Vai al contenuto principale
POST
/
email
/
find
/
bulk
curl --request POST \
  --url https://api.enrow.io/email/find/bulk \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "searches": [
      {
        "fullname": "Dwight Schrute",
        "company_domain": "dundermifflin.com",
        "custom": "lead_001"
      },
      {
        "fullname": "Jim Halpert",
        "company_domain": "dundermifflin.com",
        "custom": "lead_002"
      },
      {
        "fullname": "Ryan Howard",
        "company_domain": "dundermifflin.com",
        "custom": "lead_003"
      }
    ],
    "settings": {
      "webhook": "https://your-app.com/webhooks/enrow",
      "retrieve_gender": true
    }
  }'
{
  "message": "Bulk search operating",
  "id": "0cf517bc-16e8-45bc-b967-ab9116b3c804",
  "credits_used": 3,
  "estimated_duration": 1
}
POST
https://api.enrow.io/email/find/bulk
Esegui più ricerche di email in un’unica richiesta. Fino a 5.000 ricerche per batch. Autentica ogni richiesta con la tua chiave API nell’header x-api-key. Per trovare una singola email, usa invece l’endpoint Find Single Email.
Enrow esegue verifiche deterministiche che verificano anche le email catch-all. Nessun debouncer necessario.

Corpo della richiesta

searches
array of objects
obbligatorio
Payload di ricerca per i quali trovare le email corrispondenti.
custom
object
Parametri personalizzati che verranno restituiti nella risposta GET e nella notifica webhook.
settings
object
Impostazioni relative all’intera ricerca in blocco.

Risposta

201 — Ricerca in blocco avviata

message
string
Messaggio di conferma
id
string
Identificatore univoco per questo batch. Usalo per recuperare i risultati tramite l’endpoint GET.
credits_used
number
Crediti totali consumati. Vedi Crediti e fatturazione per i costi per endpoint.
estimated_duration
number
Tempo di elaborazione stimato in minuti (non garantito)

Risposte di errore

CodeMessage
400Missing payload
400Missing searches payload
400Too many searches. Limit is currently at 5000 per batch.
400Error while parsing payload
401No apikey found in the x-api-key headers
401This apikey is not valid
402Insufficient credits
In caso di crediti insufficienti, l’endpoint bulk restituisce HTTP 402 con un corpo nella forma { "message": "..." }. Vedi Gestione degli errori per l’elenco completo dei codici di stato e dei formati di risposta.
curl --request POST \
  --url https://api.enrow.io/email/find/bulk \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: YOUR_API_KEY' \
  --data '{
    "searches": [
      {
        "fullname": "Dwight Schrute",
        "company_domain": "dundermifflin.com",
        "custom": "lead_001"
      },
      {
        "fullname": "Jim Halpert",
        "company_domain": "dundermifflin.com",
        "custom": "lead_002"
      },
      {
        "fullname": "Ryan Howard",
        "company_domain": "dundermifflin.com",
        "custom": "lead_003"
      }
    ],
    "settings": {
      "webhook": "https://your-app.com/webhooks/enrow",
      "retrieve_gender": true
    }
  }'
{
  "message": "Bulk search operating",
  "id": "0cf517bc-16e8-45bc-b967-ab9116b3c804",
  "credits_used": 3,
  "estimated_duration": 1
}

Prossimi passi

Ottieni i risultati in blocco

Recupera le email trovate usando l’id del batch.

Trova una singola email

Esegui una singola ricerca di email a partire da un nome e un’azienda.

Webhook

Ricevi notifiche automatiche al completamento di un batch.

Crediti e fatturazione

Scopri come vengono consumati i crediti per ciascun endpoint.